<?php 
require_once('files.php');
?>
<!DOCTYPE html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>Towny downloads</title>
		<style type="text/css">
			* {
				margin: 0;
				padding: 0;
				border: 0;	
			}
			body {
				font-family: arial, verdana, sans-serif;
				color: #111;
				font-size: 13px;
				padding: 10px 10px;	
				background: #fff;
			}
			#container {
				width: 994px;
				margin: auto;	
				overflow: hidden;
			}
			h1 {
				margin-bottom: 20px;
				text-transform: uppercase;
				font-size: 24px;	
			}
			h1 img {
				vertical-align: middle;	
			}
			.groups {
			 	overflow: hidden;	
			}
			.box {
				width: 492px;
				float: left;
				margin-right: 10px;
			}
			.box:nth-child(2n) {
				margin-right: 0px;
			}
			.box:nth-child(2n-1) {
				clear: left;	
			}
			.group {
				background: #ddd;
				padding: 10px 0;
				margin: 10px 0;
			}
			.group h2 {
				padding: 0 10px 10px;
				border-bottom: 1px solid #fff;
			}
			.file h3 {
				line-height: 24px;
				font-size: 16px;
			}
			.file {
				margin: 10px;	
				padding: 5px;
				background: #eee;
				min-height: 28px;
			}
			.iframe {
				border: 1px solid #333;
				margin-top: 10px;
			}
			iframe {
				display: block;
				width: 100%;
				background: #fff;
				height: 400px;
			}
			.file p {
				margin-top: 10px;
				font-size: 11px;
                min-height: 20px;
			}
			.file .download {
				float: right;
				padding: 5px 15px;
				border: 1px solid #bbb;
				color: #666;
				font-family: Arial, Verdana, sans-serif;
				font-size: 14px;
				text-decoration: none;
				border-radius: 5px;
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px;
				-o-border-radius: 5px;
				text-shadow: 0px 1px 1px #fff;
				background-image: -webkit-gradient(
				    linear,
				    left bottom,
				    left top,
				    color-stop(0.61, rgb(219,219,219)),
					color-stop(0.22, rgb(207,207,207))
				);
				background-image: -moz-linear-gradient(
				    center bottom,
				    rgb(219,219,219) 61%,
				    rgb(207,207,207) 22%
				);
				box-shadow: rgba(0,0,0, 0.1) 0px 0px 3px;  
			    -moz-box-shadow: rgba(0,0,0, 0.1) 0px 0px 3px;  
			    -webkit-box-shadow: rgba(0,0,0, 0.1) 0px 0px 3px;	
			}
			.file .download:hover {
				background-image: -webkit-gradient(
				    linear,
				    left bottom,
				    left top,
				    color-stop(0.61, rgb(207,207,207)),
					color-stop(0.22, rgb(219,219,219))
				);
				background-image: -moz-linear-gradient(
				    center bottom,
				    rgb(207,207,207) 61%,
				    rgb(219,219,219) 22%
				);				
			}
			.file .download:active {
				position: relative;
				top: 1px;
			}
			.file .download span {
				font-size: 11px;
			}
            
            .file .changelog {
				float: right;
				padding: 1px 1px;
				border: 1px solid #bbb;
				color: #666;
				font-family: Arial, Verdana, sans-serif;
				font-size: 14px;
				text-decoration: none;
				border-radius: 5px;
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px;
				-o-border-radius: 5px;
				text-shadow: 0px 1px 1px #fff;
				background-image: -webkit-gradient(
				    linear,
				    left bottom,
				    left top,
				    color-stop(0.61, rgb(219,219,219)),
					color-stop(0.22, rgb(207,207,207))
				);
				background-image: -moz-linear-gradient(
				    center bottom,
				    rgb(219,219,219) 61%,
				    rgb(207,207,207) 22%
				);
				box-shadow: rgba(0,0,0, 0.1) 0px 0px 3px;  
			    -moz-box-shadow: rgba(0,0,0, 0.1) 0px 0px 3px;  
			    -webkit-box-shadow: rgba(0,0,0, 0.1) 0px 0px 3px;	
			}
			.file .changelog:hover {
				background-image: -webkit-gradient(
				    linear,
				    left bottom,
				    left top,
				    color-stop(0.61, rgb(207,207,207)),
					color-stop(0.22, rgb(219,219,219))
				);
				background-image: -moz-linear-gradient(
				    center bottom,
				    rgb(207,207,207) 61%,
				    rgb(219,219,219) 22%
				);				
			}
			.file .changelog:active {
				position: relative;
				top: 1px;
			}

		</style>
	</head>
	<body>
		
		<div id="container">
			<!--<h1><img src="http://code.google.com/a/eclipselabs.org/p/towny/logo?cct=1316813369" /> Towny downloads</h1> -->
			<div class="groups">
			<?php
			foreach ($fileList as $group => $files) { 
				?>
				<div class="box">
					<div class="group">
						<h2><?=$group?></h2>
						<?php
						foreach ($files as $file) {
							$log = 'counters/' . $file['key'] . '.txt';
							$count = 0;
							if (!file_exists($log)) {
								file_put_contents($log, '0');
							}
							$count = (file_exists($log) ? file_get_contents($log) : 0);
							?>
							<div class="file">
								<a href="<?=$file['key']?>/<?=$file['uri']?>" title="Download <?=$file['name']?>" class="download">Download | <span><?=$count?></span></a>
								<h3><?=$file['name']?></h3><p>
								<?php
								if ($file['description']) {
									?><?=$file['description']?><?php 
								}
                                if ($file['changelog']) {
                                    ?>
                                    <a href="<?=$file['changelog']?>" target="_blank" title="Changelog" class="changelog">Changelog</a>
                                    <?php
                                }
                                if ($file['source']) {
                                    ?>
                                    <a href="<?=$file['source']?>" target="_blank" title="Source" class="changelog">Source</a>
                                    <?php
                                }
								?></p>
							</div>
							<?php 
						} 
						?>
					</div>
				</div>
				<?php
			} 
			?>
			<!--</div>
			<h2>Dev Changelog</h2>
			<div class="changelog iframe">
                <iframe src="https://raw.github.com/ElgarL/Towny/master/src/ChangeLog.txt"></iframe>
			</div>-->
		</div>
	</body>
</html>

